[ARVADOS-DEV] updated: 8dce81a50c4aa76f2d2bcb3742c9708e26b5dee1

git at public.curoverse.com git at public.curoverse.com
Wed Oct 15 14:25:36 EDT 2014


Summary of changes:
 git/hooks/coding-standards.sh | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

       via  8dce81a50c4aa76f2d2bcb3742c9708e26b5dee1 (commit)
      from  23fa740736501e4cf023a3a94a3f9e567e95c2fa (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 8dce81a50c4aa76f2d2bcb3742c9708e26b5dee1
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date:   Wed Oct 15 14:25:34 2014 -0400

    Add blacklist to commit hook.  no issue #

diff --git a/git/hooks/coding-standards.sh b/git/hooks/coding-standards.sh
index 79b0cdd..d4e4c71 100755
--- a/git/hooks/coding-standards.sh
+++ b/git/hooks/coding-standards.sh
@@ -13,6 +13,20 @@ $oldrev  = ARGV[1]
 $newrev  = ARGV[2]
 $user    = ENV['USER']
 
+def blacklist bl
+  all_revs = `git rev-list #{$oldrev}..#{$newrev}`.split("\n")
+  all_revs.each do |rev|
+    bl.each do |b|
+      if rev == b
+        puts "Revision #{b} is blacklisted, you must remove it from your branch (possibly using git rebase) before you can push."
+        exit 1
+      end
+    end
+  end
+end
+
+blacklist ['26d74dc0524c87c5dcc0c76040ce413a4848b57a']
+
 # Only enforce policy on the master branch
 exit 0 if $refname != 'refs/heads/master'
 

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list